Bug 239300 - launchmail should fallback to kmail in KDE
launchmail should fallback to kmail in KDE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: htmlview (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks: FC7Target Fedora7LiveCD
  Show dependency treegraph
 
Reported: 2007-05-07 10:03 EDT by Sebastian Vahl
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-09 13:15:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2007-05-07 10:03:15 EDT
Description of problem:
launchmail only checks if evolution exists. Is this is not the case an error 
would 
be shown: "ERROR: The mail client evolution does not exist.  Please 
reconfigure."
If /usr/bin/gnome-default-applications-properties doesn't exist that would be 
all.

On KDE LiveCD we don't have gnome-default-applications-properties. So after a 
installation to hard disk the user would not know how to reconfigure this. The 
best way here would be to fallback to kmail in a KDE session.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install KDE LiveCD or remove evolution and 
gnome-default-applications-properties
2. Login into KDE
3. Launch launchmail
  
Actual results: Error Message


Expected results: kmail would be startet


Additional info: I've misread #230023. So I've opened a single bug for this. 
#239293 is the same issue.
Comment 1 Warren Togami 2007-05-07 11:36:56 EDT
http://people.redhat.com/wtogami/temp/htmlview-4.0.0-2.fc7.noarch.rpm
Please see if this makes it behave as expected in the LiveCD.
Comment 2 Sebastian Vahl 2007-05-08 04:53:43 EDT
Working fine here.
Comment 3 Warren Togami 2007-05-09 13:15:47 EDT
htmlview-4.0.0-2.fc7 is in F7 now.  It falls back in the KDE-only case to a list
of "if it exists use it".  konqueror and kmail are at the top of that list.

Note You need to log in before you can comment on or make changes to this bug.